Support

Retrieve ANS agent events

View as Markdown

Returns a paginated, strictly ordered list of ANS events.

Full description

Returns a paginated, strictly ordered list of ANS events. When providerId is omitted, the API returns events for all providers; when providerId is provided, only events associated with that provider are returned. Pagination is driven by an opaque cursor token returned in each response.

GET
/v1/agents/events

Query Parameters

providerId?string

Optional provider identifier. If omitted, global mode is used and the API returns events for all providers from the primary global stream. When provided, results are filtered to only events associated with that provider.

lastLogId?string

Optional log id for the last viewed event from a previous request. If not provided, the API returns the first page of results from the start of the event stream. Events are only stored for 30 days.

limit?integer

Number of events to return (1-200, default 100)

Range1 <= value <= 200
Default100

Header Parameters

X-Request-Id?string

Unique identifier for request tracking between services (UUID V1 as Base58)

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/agents/events"
{  "items": [    {      "logId": "019a7a52-e5bf-7b5b-b048-d0b78f4b4c5f",      "eventType": "AGENT_REGISTERED",      "createdAt": "2025-01-08 12:30:00+00:00",      "expiresAt": "2026-01-08 12:30:00+00:00",      "agentId": "550e8400-e29b-41d4-a716-446655440000",      "ansName": "ans://v1.0.0.myagent.example.com",      "agentHost": "myagent.example.com",      "agentDisplayName": "Sentiment Analyzer",      "agentDescription": "An agent that analyzes sentiment in text",      "version": "1.0.0",      "providerId": "PC_1234567890",      "endpoints": [        {          "agentUrl": "https://myagent.example.com/mcp",          "metaDataUrl": "https://myagent.example.com/.well-known/mcp.json",          "documentationUrl": "https://docs.myagent.example.com",          "protocol": "MCP",          "transports": [            "STREAMABLE-HTTP"          ],          "functions": [            {              "id": "domain_suggest",              "name": "Domain Suggest",              "tags": [                "domain",                "suggestion",                "availability"              ]            }          ]        }      ]    }  ],  "lastLogId": "string"}

Last updated on

How is this guide?